Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
user/articlelist.php File Reference

Go to the source code of this file.

## Variables
| $GlobalSectionID = eZArticleCategory::sectionIDStatic( $CategoryID )
| $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $ImageDir = $ini->variable( "eZArticleMain", "ImageDir" )
| $CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )
| $DefaultLinkText = $ini->variable( "eZArticleMain", "DefaultLinkText" )
| $UserListLimit = $ini->variable( "eZArticleMain", "UserListLimit" )
| $GrayScaleImageList = $ini->variable( "eZArticleMain", "GrayScaleImageList" )
| $ForceCategoryDefinition = $ini->variable( "eZArticleMain", "ForceCategoryDefinition" )
| $NoArticleHeader = false
| $TemplateDir = $ini->variable( "eZArticleMain", "TemplateDir" )
| $templateDirTmp = $sectionObject->templateStyle()
if(!is_null( $templateDirTmp) &&trim( $templateDirTmp) !="") | $t
| $override = "_override_$CategoryID"
| $sectionOverride = "_sectionoverride_$GlobalSectionID"
if(file_exists("kernel/ezarticle/user/$TemplateDir/articlelist" . $override . ".tpl")) | else
| $ThumbnailImageWidth = $ini->variable( "eZArticleMain", "ThumbnailImageWidth" )
| $ThumbnailImageHeight = $ini->variable( "eZArticleMain", "ThumbnailImageHeight" )
| $thumbnailImageWidthOverride =& $t->get_user_variable( "article_list_page_tpl", "ThumbnailImageWidth" )
if( $thumbnailImageWidthOverride) | $thumbnailImageHeightOverride =& $t->get_user_variable( "article_list_page_tpl", "ThumbnailImageHeight" )
| $category = new eZArticleCategory( $CategoryID )
| $SiteTitleAppend = ""
| $pathArray = $category->path()
foreach( $pathArray as $path) | $categoryList = $category->getByParent( $category )
| $user =& eZUser::currentUser()
| $image =& $category->image()
| $i = 0
else | $Limit = $UserListLimit
| $articleCount = $category->articleCount( false, true )
| $locale = new eZLocale( $Language )
| $SiteDescriptionOverride = ""

## Variable Documentation

## ◆ $articleCount

$articleCount = $category->articleCount( false, true )

Definition at line 374 of file user/articlelist.php.

## ◆ $CapitalizeHeadlines

$CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )

Definition at line 50 of file user/articlelist.php.

## ◆ $category

$category = new eZArticleCategory( $CategoryID )

Definition at line 174 of file user/articlelist.php.

## ◆ $categoryList

foreach ($pathArray as $path) $categoryList = $category->getByParent( $category )

Definition at line 237 of file user/articlelist.php.

## ◆ $DefaultLinkText

$DefaultLinkText = $ini->variable( "eZArticleMain", "DefaultLinkText" )

Definition at line 51 of file user/articlelist.php.

## ◆ $ForceCategoryDefinition

$ForceCategoryDefinition = $ini->variable( "eZArticleMain", "ForceCategoryDefinition" )

Definition at line 54 of file user/articlelist.php.

## ◆ $GlobalSectionID

$GlobalSectionID = eZArticleCategory::sectionIDStatic( $CategoryID )

Definition at line 40 of file user/articlelist.php.

## ◆ $GrayScaleImageList

$GrayScaleImageList = $ini->variable( "eZArticleMain", "GrayScaleImageList" )

Definition at line 53 of file user/articlelist.php.

## ◆ $i

$i = 0

Definition at line 276 of file user/articlelist.php.

## ◆ $image

$image =& $category->image()

Definition at line 242 of file user/articlelist.php.

Referenced by eZImageMap\__construct(), eZBug\addImage(), eZMail\addImage(), eZCompany\addImage(), eZImage\countUnassigned(), eZImageCategory\delete(), eZArticle\delete(), eZBug\deleteImage(), eZMail\deleteImage(), eZAd\deleteImage(), eZTip\deleteImage(), eZLinkCategory\deleteImage(), eZImage\getUnassigned(), eZArticleCategory\image(), eZProductCategory\image(), eZFreeTradeImport\importCategories(), renderAd(), eZTechRenderer\renderImage(), eZQDomRenderer\renderImage(), eZEzRenderer\renderPage(), eZQDomRenderer\renderRollOver(), eZImageVariation\requestVariation(), eZCompany\setCompanyImage(), eZPerson\setImage(), eZCompany\setLogoImage(), eZProduct\setMainImage(), eZArticle\setThumbnailImage(), eZProduct\setThumbnailImage(), and syncDir().

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZArticleMain", "ImageDir" )

Definition at line 49 of file user/articlelist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 46 of file user/articlelist.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 48 of file user/articlelist.php.

## ◆ $Limit

else $Limit = $UserListLimit

Definition at line 361 of file user/articlelist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 379 of file user/articlelist.php.

## ◆ $NoArticleHeader

$NoArticleHeader = false

Definition at line 55 of file user/articlelist.php.

## ◆ $override

$override = "_override_$CategoryID"

Definition at line 80 of file user/articlelist.php.

## ◆ $pathArray

$pathArray = $category->path()

Definition at line 215 of file user/articlelist.php.

## ◆ $sectionObject

if (isset($CategoryID)) $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 43 of file user/articlelist.php.

## ◆ $sectionOverride

$sectionOverride = "_sectionoverride_$GlobalSectionID"

Definition at line 83 of file user/articlelist.php.

## ◆ $SiteDescriptionOverride

$SiteDescriptionOverride = ""

Definition at line 383 of file user/articlelist.php.

## ◆ $SiteTitleAppend

$SiteTitleAppend = ""

Definition at line 212 of file user/articlelist.php.

## ◆ $t

if (!is_null($templateDirTmp) &&trim($templateDirTmp) !="") $t

Initial value:
= new eZTemplate( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ),
"kernel/ezarticle/user/intl/", $Language, "articlelist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: user/articlelist.php:48
$ini
$ini
Definition: user/articlelist.php:46

Definition at line 74 of file user/articlelist.php.

## ◆ $TemplateDir

$TemplateDir = $ini->variable( "eZArticleMain", "TemplateDir" )

Definition at line 56 of file user/articlelist.php.

## ◆ $templateDirTmp

$templateDirTmp = $sectionObject->templateStyle()

Definition at line 67 of file user/articlelist.php.

## ◆ $ThumbnailImageHeight

$ThumbnailImageHeight = $ini->variable( "eZArticleMain", "ThumbnailImageHeight" )

Definition at line 153 of file user/articlelist.php.

Referenced by renderFrontpageProduct(), and renderFrontpageProductDouble().

## ◆ $thumbnailImageHeightOverride

if ($thumbnailImageWidthOverride) $thumbnailImageHeightOverride =& $t->get_user_variable( "article_list_page_tpl", "ThumbnailImageHeight" )

Definition at line 161 of file user/articlelist.php.

## ◆ $ThumbnailImageWidth

$ThumbnailImageWidth = $ini->variable( "eZArticleMain", "ThumbnailImageWidth" )

Definition at line 152 of file user/articlelist.php.

Referenced by renderFrontpageProduct(), and renderFrontpageProductDouble().

## ◆ $thumbnailImageWidthOverride

$thumbnailImageWidthOverride =& $t->get_user_variable( "article_list_page_tpl", "ThumbnailImageWidth" )

Definition at line 155 of file user/articlelist.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 239 of file user/articlelist.php.

## ◆ $UserListLimit

$UserListLimit = $ini->variable( "eZArticleMain", "UserListLimit" )

Definition at line 52 of file user/articlelist.php.

## ◆ else

if (isset($GenerateStaticPage) and $GenerateStaticPage=="true" and $cachedFile !="") else

Initial value:
{
if ( file_exists( "kernel/ezarticle/user/$TemplateDir/articlelist" . $sectionOverride . ".tpl" ) )
{
$t->set_file( "article_list_page_tpl", "articlelist" . $sectionOverride . ".tpl" );
}
else
{
$t->set_file( "article_list_page_tpl", "articlelist.tpl" );
}
}
$t->set_block( "article_list_page_tpl", "header_item_tpl", "header_item" )
file_exists
static file_exists( $inifilename)
Definition: eZPBINIFile.php:195
$t
if(!is_null( $templateDirTmp) &&trim( $templateDirTmp) !="") $t
Definition: user/articlelist.php:74
$sectionOverride
$sectionOverride
Definition: user/articlelist.php:83

Definition at line 90 of file user/articlelist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.